var Direction = cc.Enum({
  /**
   * @property {Number} HORIZONTAL
   */
  HORIZONTAL: 0,

  /**
   * @property {Number} VERTICAL
   */
  VERTICAL: 1
});
var GETTINGSHORTERFACTOR = 20;

cc.Class({
  extends: cc.Component,

  properties: {
    scroll: {
      type: cc.ScrollView,
      default: null,
    },

    item_prefab1: {
      type: cc.Prefab,
      default: null,
    },
    item_prefab2: {
      type: cc.Prefab,
      default: null,
    },
  },

  start() {
    var content = this.scroll.content;

    var win_h = cc.winSize.height;
    var win_w = cc.winSize.width;

    // var scrollView_h = this.scroll.node.getContentSize().height;
    // var scrollBar_h = this.scroll.node.getChildByName("scrollBar").getContentSize().height;
    // var view_h = this.scroll.node.getChildByName("view").getContentSize().height;
    var self = this;

    // self.scroll.node.setContentSize(cc.size(win_w, scrollView_h));
    // self.scroll.node.getChildByName("scrollBar").setContentSize(cc.size(12, scrollBar_h));
    // self.scroll.node.getChildByName("view").setContentSize(cc.size(win_w, view_h));
    // content.setContentSize(cc.size(win_w - 20, -1));

    for (var i = 0; i < 100; i++) {
      var item = null;
      if (i % 2 == 0) {
        item = cc.instantiate(self.item_prefab1);
        item.getChildByName("src").getComponent(cc.Label).string = "robot" + i;
      }
      else {
        item = cc.instantiate(self.item_prefab2);
        item.getChildByName("src").getComponent(cc.Label).string = "user" + i;
      }
      content.addChild(item);
    }

    cc.find('Canvas/testBtn').on('click', () => {
      item = cc.instantiate(self.item_prefab1);
      content.addChild(item);

    })
  },
});
